#ifndef __SYSTEM_INIT_H
#define __SYSTEM_INIT_H
#include "rkfifo.h"

void thread_can_handle(void);
void thread_usart_handle(void);
void thread_task_handle(void);
void user_init(void);
void creat_sem_init(void);

extern rkfifo_t uart_rkfifo;
extern rkfifo_t can1_rkfifo;
extern rkfifo_t can2_rkfifo;
extern rkfifo_t send_uart_rkfifo;
extern struct rt_semaphore uart1_sem;
extern struct rt_semaphore can1_sem;
extern struct rt_semaphore can2_sem;


#endif